package cokr.xit.ens.biz.iup.code;

import cokr.xit.ens.core.code.CodeMapperType;


/**
 * <ul>
 * <li>업무 그룹명: 민자고속도로 발송상태 코드</li>
 * <li>설 명: </li>
 * <li>작성일: 2022. 3. 2. 오후 3:51:43
 * </ul>
 * @author 박민규
 */

public enum IupSendSttusCd implements CodeMapperType {
    TALK_SEND("알림톡발송")
    ,SMS_SEND("SMS발송")

    ,READY("송신 준비")
    ,NOMB("카카오 비회원")
    ,DENY("카카오 거부")
    ,SEND("카카오 송신")
    ,RECV("카카오 수신")
    ,SIGN("카카오 서명")
    ,NV_NOMB("네이버 비회원")
    ,NV_DENY("네이버 거부")
    ,NV_SEND("네이버 송신")
    ,NV_RECV("네이버 수신")
    ,NV_SIGN("네이버 서명")


    ,FAIL("송신오류")
    ;

    private final String code;     
    private final String codeNm;   
    IupSendSttusCd(String codeNm) {
        this.code = this.name();
        this.codeNm = codeNm;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getCodeNm() {
        return this.codeNm;
    }
}
